Subject: bug#39974: Guile fails to build without makeinfo

From: Fabrice Fontaine <[email-masked]>
Date: Sat, 7 Mar 2020 17:35:58 +0100

Hello,

Le sam. 7 mars 2020 à 17:04, Ludovic Courtès <[email-masked]> a écrit :
>
> Hello,
>
> Fabrice Fontaine <[email-masked]> skribis:
>
> > guile fails to build without makeinfo:
> >
> > make[4]: Entering directory
> > '/nvmedata/autobuild/instance-7/output-1/build/host-guile-2.0.14/doc/ref'
> >   MAKEINFO guile.info
> > /nvmedata/autobuild/instance-7/output-1/build/host-guile-2.0.14/build-aux/missing:
> > line 81: makeinfo: command not found
>
> AFAIK, ‘makeinfo’ is needed if and only if one modifies the .texi files,
> or perhaps the ‘configure’ file.
>
> Could it be what happened here?
Yes, this build failure is raised by one of our buidlroot autobuilders.
We're running autoreconf as we have a patch that updates configure.ac:
https://git.buildroot.net/buildroot/tree/package/guile/0002-calculate-csqrt_manually.patch.
If your interested in applying this patch upstream, I can send it to
the mailing list.
>
> BTW, 2.0 is an old series that is no longer maintained (the current
> stable series is 3.0, and the previous one is 2.2).
Our current version of guile is indeed pretty old, one of our users
sent a patch to bump it to 3.0:
https://patchwork.ozlabs.org/patch/1246994.
However, I assume that this build failure won't be fixed in 3.0 as
we'll still have to update configure.ac.

So, in the end, I saw that HAVE_MAKEINFO was added quite a while ago (in 2001):
http://git.savannah.gnu.org/cgit/guile.git/commit/?id=a9d78896d1737c429ca8640d5e2fe0814a2ea20c
However, this variable was never used so it seemed right to me to use
it to fix this build failure
> Thanks,
> Ludo’.
Best Regards,

Fabrice